# Exchange Status

## Get Exchange Status

<mark style="color:blue;">`GET`</mark> `https://api.abyiss.com/v2/cex/{exchange}/status`

Returns an object with properties that describe an exchange's status.

#### Path Parameters

| Name                                       | Type   | Description                                |
| ------------------------------------------ | ------ | ------------------------------------------ |
| exchange<mark style="color:red;">\*</mark> | string | Unique exchange identifier used by Abyiss. |

#### Query Parameters

| Name   | Type   | Description         |
| ------ | ------ | ------------------- |
| apiKey | string | Your Abyiss API Key |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "status":"ok",
    "updated":1634929487916
}
```

{% endtab %}

{% tab title="401: Unauthorized Unauthorized -- Invalid API Key" %}

```javascript
{
    "Unauthorized": "Invaild API Key"
}
```

{% endtab %}
{% endtabs %}

### Copy & Paste Code

{% tabs %}
{% tab title="Curl" %}

```shell
curl -H "apiKey: API KEY" https://api.abyiss.com/v2/cex/coinbasepro/status
```

{% endtab %}

{% tab title="Python" %}

```python
from Abyiss import Abyiss

apiKey = "YOUR API KEY" 
client = Abyiss.Client(apiKey)

exchangeStatus = client.getExchangeStatus("coinbasepro")

print(exchangeStatus)
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
fetch("https://api.abyiss.com/v2/cex/coinbasepro/status?apiKey=*")
  .then(response => response.json())
  .then(data => console.log(data))
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
require('axios')
  .get("https://api.abyiss.com/v2/cex/coinbasepro/status?apiKey=*")
  .then(response => console.log(response))
```

{% endtab %}

{% tab title="Ruby" %}

```javascript
require 'net/http'
uri = URI("https://api.abyiss.com/v2/cex/coinbasepro/status?apiKey=*")
puts Net::HTTP.get(uri)
```

{% endtab %}
{% endtabs %}

### Response Object&#x20;

Example URL: <https://api.abyiss.com/v2/cex/coinbasepro/status?apiKey=>

```json
{
    "status":"ok",
    "updated":1634929487916
}
```

### Response Attribute

| Attribute Name | Data Type | Description                                                      |
| -------------- | --------- | ---------------------------------------------------------------- |
| status         | string    | Status of the exchange. 'ok' is good.                            |
| updated        | integer   | Unix timestamp of the last time the exchange status was updated. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abyiss.com/crypto-api/rest-apis/exchange-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
